%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude libpolari.*\\.so$
%global __requires_exclude libpolari.*\\.so$|libtelepathy-glib\\.so\\.0\\(.*

Name:		polari
Version:	3.24.1
Release:	%mkrel 1
Summary:	Internet Relay Chat client for GNOME
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Polari
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.12
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	typelib(TelepathyLogger)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	gnome-common
BuildRequires:	yelp-devel
BuildRequires:	itstool
# this dep cannot be autocomputed as js resources are embedded in a gresource in the binary:
BuildRequires:	typelib(Gspell)
Requires:	gsettings-desktop-schemas
Requires:	telepathy-logger
Requires:	telepathy-mission-control
Requires:	telepathy-idle


%description
Polari is an Internet Relay Chat client for the GNOME desktop.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-help --all-name

%files -f %{name}.lang
%doc COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_datadir}/telepathy/clients/Polari.client
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*/*
%{_datadir}/appdata/org.gnome.Polari.appdata.xml


%changelog
* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096366
- new version 3.24.1

* Thu Mar 23 2017 tv <tv> 3.24.0-2.mga6
+ Revision: 1094604
- BR appstream-util thus fixing missing typelib() deps
  (should probably be moved into appstream devel pkg...)
- explain why some typelib requires is manual

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094486
- hack around missing autoreq on typelib(Gspell)
- new version 3.24.0
- drop unneeded patch

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066227
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059989
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054956
- br itstool
- br telepathy-logger
- new version 3.22.0
- new version 3.21.91

* Mon Aug 22 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1047870
- new version 3.20.3

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012310
- new version 3.20.2

* Fri Apr 29 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1007973
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994158
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992149
- new version 3.19.92

* Wed Mar 02 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983805
- new version 3.19.91

* Fri Feb 19 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 969807
- new version 3.19.90

* Fri Jan 29 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 928789
- new version 3.19.4

* Wed Dec 23 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 913833
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906270
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905152
- new version 3.19.1

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891092
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883096
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879932
- new version 3.17.92

* Wed Sep 02 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872135
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866861
- new version 3.17.90

* Mon Aug 10 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 862387
- new version 3.17.4

* Fri Jul 17 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 854837
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 839636
- new version 3.17.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 740177
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738729
- new version 3.14.1

* Wed Sep 24 2014 wally <wally> 3.14.0-5.mga5
+ Revision: 724211
- update requires/provides excludes

* Tue Sep 23 2014 wally <wally> 3.14.0-4.mga5
+ Revision: 722582
- another rebuild with new g-ir-dep-tool

* Tue Sep 23 2014 wally <wally> 3.14.0-3.mga5
+ Revision: 722507
- rebuild with new g-ir-dep-tool

* Tue Sep 23 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 722478
- add patch to move .typelib file to a better location

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719238
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692843
- new version 3.13.92

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665900
- new version 3.13.90
- dropped merged patch 2
- dropped merged patch 1

* Fri Aug 01 2014 ovitters <ovitters> 3.13.2-3.mga5
+ Revision: 658877
- add another patch for username tranparency

* Fri Aug 01 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 658873
- add upstream patch to ensure text is visible

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627115
- new version 3.13.2

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622750
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615215
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608632
- new version 3.12.0

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-2.mga5
+ Revision: 583732
- fix requirement

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583719
- imported package polari

